com.smartgwt.client.widgets.calendar

## Class Lane

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.calendar.Lane

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class Lane
      extends RefDataClass

  Lane shown in a `Timeline` view, or in a `day view` when `showDayLanes` is true. Each lane is a row or column, respectively, that can contain a set of `CalendarEvent`s. CalendarEvents are placed in lanes by matching the `name` property to the value of the `Calendar.laneNameField` property on the CalendarEvent.

  Lanes are typically used to show tasks assigned to different people, broadcasts planned for different channels, and similar displays.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lane()`
    `Lane(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `Lane(java.lang.String name, java.lang.String title)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEventStyleName()` The base name for the CSS class applied to `events` when they're rendered in this lane.
    `java.lang.String` | `getFieldStyleName()` The base style-name for `lane-fields` displayed in this Lane.
    `java.lang.Integer` | `getHeight()` In `Timeline`s, the height of this Lane's row.
    `java.lang.String` | `getName()` To determine whether a CalendarEvent should be placed in this lane, the value of this attribute is compared with the `Calendar.laneNameField` property on the CalendarEvent.
    `static Lane` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getStyleName()` The base style-name for normal cells in this Lane.
    `Lane[]` | `getSublanes()` Array of `Lane` objects that will share the available space in the parent Lane, vertically in `timelines` and horizontally in `day views`.
    `java.lang.String` | `getTitle()` Title to show for this lane.
    `java.lang.Integer` | `getWidth()` When set on a Lane being displayed in a `day view` as a result of `Calendar.showDayLanes` being set, dictates the width of the Lane's column.
    `void` | `setEventStyleName(java.lang.String eventStyleName)` The base name for the CSS class applied to `events` when they're rendered in this lane.
    `void` | `setFieldStyleName(java.lang.String fieldStyleName)` The base style-name for `lane-fields` displayed in this Lane.
    `void` | `setHeight(java.lang.Integer height)` In `Timeline`s, the height of this Lane's row.
    `void` | `setName(java.lang.String name)` To determine whether a CalendarEvent should be placed in this lane, the value of this attribute is compared with the `Calendar.laneNameField` property on the CalendarEvent.
    `void` | `setStyleName(java.lang.String styleName)` The base style-name for normal cells in this Lane.
    `void` | `setSublanes(Lane... sublanes)` Array of `Lane` objects that will share the available space in the parent Lane, vertically in `timelines` and horizontally in `day views`.
    `void` | `setTitle(java.lang.String title)` Title to show for this lane.
    `void` | `setWidth(java.lang.Integer width)` When set on a Lane being displayed in a `day view` as a result of `Calendar.showDayLanes` being set, dictates the width of the Lane's column.

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lane

          public Lane()

    - #### Lane

          public Lane(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### Lane

          public Lane(java.lang.String name,
                      java.lang.String title)

  - ### Method Detail

    - #### getOrCreateRef

          public static Lane getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setEventStyleName

          public void setEventStyleName(java.lang.String eventStyleName)

      The base name for the CSS class applied to `events` when they're rendered in this lane. See `Calendar.eventStyleName`.

      If set directly on a `sublane`, overrides the corresponding value on the parent `lane`. See `getEventCanvasStyle()` for more information.

      Parameters:
        `eventStyleName` - New eventStyleName value. Default value is null
      See Also:
        `CSSStyleName`, `Appearance overview and related methods`

    - #### getEventStyleName

          public java.lang.String getEventStyleName()

      The base name for the CSS class applied to `events` when they're rendered in this lane. See `Calendar.eventStyleName`.

      If set directly on a `sublane`, overrides the corresponding value on the parent `lane`. See `getEventCanvasStyle()` for more information.

      Returns:
        Current eventStyleName value. Default value is null
      See Also:
        `CSSStyleName`, `Appearance overview and related methods`

    - #### setFieldStyleName

          public void setFieldStyleName(java.lang.String fieldStyleName)

      The base style-name for `lane-fields` displayed in this Lane.
      Parameters:
        `fieldStyleName` - New fieldStyleName value. Default value is null
      See Also:
        `CSSStyleName`, `Appearance overview and related methods`

    - #### getFieldStyleName

          public java.lang.String getFieldStyleName()

      The base style-name for `lane-fields` displayed in this Lane.
      Returns:
        Current fieldStyleName value. Default value is null
      See Also:
        `CSSStyleName`, `Appearance overview and related methods`

    - #### setHeight

          public void setHeight(java.lang.Integer height)

      In `Timeline`s, the height of this Lane's row. Has no effect when set on a Lane being displayed in a `day view` as a result of `Calendar.showDayLanes` being true.

      If set directly on a `sublane`, overrides the default behavior of dividing the height equally among the lane's sublanes. Each sublane is still initially assigned an equal slice of the parent height, and the value for this sublane is then updated. So the overall height of the parent lane will change by the delta between the initial slice and the specified one.

      Parameters:
        `height` - New height value. Default value is null

    - #### getHeight

          public java.lang.Integer getHeight()

      In `Timeline`s, the height of this Lane's row. Has no effect when set on a Lane being displayed in a `day view` as a result of `Calendar.showDayLanes` being true.

      If set directly on a `sublane`, overrides the default behavior of dividing the height equally among the lane's sublanes. Each sublane is still initially assigned an equal slice of the parent height, and the value for this sublane is then updated. So the overall height of the parent lane will change by the delta between the initial slice and the specified one.

      Returns:
        Current height value. Default value is null

    - #### setName

          public void setName(java.lang.String name)

      To determine whether a CalendarEvent should be placed in this lane, the value of this attribute is compared with the `Calendar.laneNameField` property on the CalendarEvent.
      Parameters:
        `name` - New name value. Default value is null

    - #### getName

          public java.lang.String getName()

      To determine whether a CalendarEvent should be placed in this lane, the value of this attribute is compared with the `Calendar.laneNameField` property on the CalendarEvent.
      Returns:
        Current name value. Default value is null

    - #### setStyleName

          public void setStyleName(java.lang.String styleName)

      The base style-name for normal cells in this Lane.
      Parameters:
        `styleName` - New styleName value. Default value is null
      See Also:
        `CSSStyleName`, `Appearance overview and related methods`

    - #### getStyleName

          public java.lang.String getStyleName()

      The base style-name for normal cells in this Lane.
      Returns:
        Current styleName value. Default value is null
      See Also:
        `CSSStyleName`, `Appearance overview and related methods`

    - #### setSublanes

          public void setSublanes(Lane... sublanes)

      Array of `Lane` objects that will share the available space in the parent Lane, vertically in `timelines` and horizontally in `day views`.

      Only one level of sublanes is supported, so this attribute only has an effect on `top-level lanes`.

      Note that this feature is mutually exclusive with the `auto arrangement` of events that share time.

      Parameters:
        `sublanes` - New sublanes value. Default value is null

    - #### getSublanes

          public Lane[] getSublanes()

      Array of `Lane` objects that will share the available space in the parent Lane, vertically in `timelines` and horizontally in `day views`.

      Only one level of sublanes is supported, so this attribute only has an effect on `top-level lanes`.

      Note that this feature is mutually exclusive with the `auto arrangement` of events that share time.

      Returns:
        Current sublanes value. Default value is null

    - #### setTitle

          public void setTitle(java.lang.String title)

      Title to show for this lane. Has no effect if set directly on `sublanes`.
      Parameters:
        `title` - New title value. Default value is null
      See Also:
        `HTMLString`

    - #### getTitle

          public java.lang.String getTitle()

      Title to show for this lane. Has no effect if set directly on `sublanes`.
      Returns:
        Current title value. Default value is null
      See Also:
        `HTMLString`

    - #### setWidth

          public void setWidth(java.lang.Integer width)

      When set on a Lane being displayed in a `day view` as a result of `Calendar.showDayLanes` being set, dictates the width of the Lane's column. Has no effect in `Timeline`s.

      If set directly on a `sublane`, overrides the default behavior of dividing the width equally among the lane's sublanes. Each sublane is still initially assigned an equal slice of the original parent width, and the value for this sublane is then updated. So the overall width of the parent lane will change by the delta between the initial slice and the specified one.

      Parameters:
        `width` - New width value. Default value is null

    - #### getWidth

          public java.lang.Integer getWidth()

      When set on a Lane being displayed in a `day view` as a result of `Calendar.showDayLanes` being set, dictates the width of the Lane's column. Has no effect in `Timeline`s.

      If set directly on a `sublane`, overrides the default behavior of dividing the width equally among the lane's sublanes. Each sublane is still initially assigned an equal slice of the original parent width, and the value for this sublane is then updated. So the overall width of the parent lane will change by the delta between the initial slice and the specified one.

      Returns:
        Current width value. Default value is null